Subject: Re: bug#46827: Broken initial size of GTK3 frame

From: Juri Linkov <[email-masked]>
Date: Fri, 30 Apr 2021 02:06:35 +0300

>> opening a Gnus group in a new tab flashes the whole frame where empty space
>> instead of the frame content is visible for a short time.
>>
>> This problem can't be reproduced with just creating a new tab,
>> it only manifests in Gnus, maybe something in gnus-summary-read-group-1
>> with gnus-configure-windows forces frame redisplay or something like this.
>>
>> This problem doesn't exist without recent changes in a190b4cfd8.
>
> Please try to provide some sort of recipe to reproduce this.  Ideally
> without Gnus because I never used it.  Also, I've never seen a frame

Sorry, not easy to distill many different things Gnus does to massage windows
into a simpler test case.

> "flash".  Is that a new frame?  Is there anything broken in the frame
> after the flash?

It's in the same frame, and nothing is broken after the flash.
The visual effect is that after creating a new tab, everything
is erased on the frame including tab bars and the mode line
for a short time, and then redrawn back.